package entity

import "ark-permission/internal/domain"

type Role struct {
	ID          int64              `gorm:"column:id"`
	RoleID      string             `gorm:"column:role_id"`
	DisplayName string             `gorm:"column:display_name"`
	Status      int                `gorm:"column:status"`
	Permissions domain.Permissions `gorm:"-"`
	CreateTime  int64              `gorm:"column:create_time;autoCreateTime"`
	UpdateTime  int64              `gorm:"column:update_time;autoUpdateTime"`
}

func (c *Role) TableName() string {
	return "role"
}
