package userroleservicelogic

import (
	"context"

	"ark-permission/gen_result/pb/permission"
	"ark-permission/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserRoleLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserRoleLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserRoleLogic {
	return &GetUserRoleLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// GetUserRole 取得角色綁定表，沒有搜尋條件就全部，不分頁
func (l *GetUserRoleLogic) GetUserRole(in *permission.UserRoleReq) (*permission.GetUserRoleResp, error) {

	return &permission.GetUserRoleResp{}, nil
}
